POST ticket/clubcard/payByClubcard/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| sessionId | globally unique identifier |
None. |
|
| clubcardId | globally unique identifier |
None. |
|
| paymentType | ClubcardPaymentType |
None. |
|
| objectId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"sessionId": "e307ab9a-ad1e-4673-ba09-698ad794317b",
"clubcardId": "51f63723-7838-4016-a772-0d298ce9286a",
"paymentType": 1,
"objectId": "a0a15f48-469a-4627-8d09-421014066dd2"
}
application/xml, text/xml
Sample:
<PayByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>51f63723-7838-4016-a772-0d298ce9286a</clubcardId> <objectId>a0a15f48-469a-4627-8d09-421014066dd2</objectId> <paymentType>MovieTicket</paymentType> <sessionId>e307ab9a-ad1e-4673-ba09-698ad794317b</sessionId> </PayByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "669556ec-194e-4006-9adf-424b1e7cd0e0",
"paymentId": "f89071f0-7e35-4b08-9cc2-d1306c666cdb",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>669556ec-194e-4006-9adf-424b1e7cd0e0</objectId>
<paymentId>f89071f0-7e35-4b08-9cc2-d1306c666cdb</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>